package router

import (
	"github.com/gin-gonic/gin"
	"icloudapp.cn/tools/admin"
	"icloudapp.cn/tools/controller"
	"icloudapp.cn/tools/middleware"
)

func SetupPHPRouter(r *gin.Engine) {
	frontAPI := r.Group("/")
	frontAPI.Use(middleware.JWTAuthMiddleware())
	frontAPI.GET("/api/poster/lists.json", controller.Posters)
	frontAPI.GET("/api/poster/info/:id.json", controller.PosterInfo)
	frontAPI.GET("/api/user/info.json", controller.Info)
	frontAPI.GET("/api/materials.json", controller.Materials)

	adminUI := r.Group("/admin")
	adminUI.Use(middleware.JWTAuthMiddleware())
	adminUI.Use(middleware.RoleMiddleWare())
	adminUI.POST("/materials/api/material/lists.json", admin.Material)

}
