package service

import (
	"context"
	"icloudapp.cn/tools/service/entity"
	"icloudapp.cn/tools/service/model"
)

type Module struct {
	ctx   context.Context
	query *model.MModule
}

func NewModule(ctx context.Context) *Module {
	module := &Module{ctx: ctx}
	module.query = model.Module
	return module
}

func (m *Module) Info(modelID int64) (*entity.Module, error) {
	return m.query.WithContext(m.ctx).Where(m.query.ModelID.Eq(modelID)).Take()
}

func (m *Module) Infos(modelIds ...int64) ([]*entity.Module, error) {
	return m.query.WithContext(m.ctx).Where(m.query.ModelID.In(modelIds...)).Find()
}
